com.sun.jna.platform.win32

## Class WinCrypt.CERT_REVOCATION_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_REVOCATION_INFO

Direct Known Subclasses:
  WinCrypt.CERT_REVOCATION_INFO.ByReference

Enclosing interface:
  WinCrypt

    @Structure.FieldOrder(value={"cbSize","dwRevocationResult","pszRevocationOid","pvOidSpecificInfo","fHasFreshnessTime","dwFreshnessTime","pCrlInfo"})
    public static class WinCrypt.CERT_REVOCATION_INFO
    extends Structure

The CERT_REVOCATION_INFO structure indicates the revocation status of a certificate in a CERT_CHAIN_ELEMENT.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CERT_REVOCATION_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbSize`
`int` `dwFreshnessTime`
`int` `dwRevocationResult`
`boolean` `fHasFreshnessTime`
`WinCrypt.CERT_REVOCATION_CRL_INFO.ByReference` `pCrlInfo`
`java.lang.String` `pszRevocationOid`
`Pointer` `pvOidSpecificInfo`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CERT_REVOCATION_INFO()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

#### dwRevocationResult

    public int dwRevocationResult

#### pszRevocationOid

    public java.lang.String pszRevocationOid

#### pvOidSpecificInfo

    public Pointer pvOidSpecificInfo

#### fHasFreshnessTime

    public boolean fHasFreshnessTime

#### dwFreshnessTime

    public int dwFreshnessTime

#### pCrlInfo

    public WinCrypt.CERT_REVOCATION_CRL_INFO.ByReference pCrlInfo

### Constructor Detail

#### CERT_REVOCATION_INFO

    public CERT_REVOCATION_INFO()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.